Location: PHPKode > scripts > K-Pregs > k-pregs/examples/versionnumber.php
<?php

require("../kpregs.php");

/*
Check if a string is a version number
*/

if (kpreg_is_versionnumber(5)) // valid
 echo("Valid!");
else
 echo("Invalid!");

if (kpreg_is_versionnumber("53")) // valid
 echo("Valid!");
else
 echo("Invalid!");

if (kpreg_is_versionnumber(5.3)) // valid
 echo("Valid!");
else
 echo("Invalid!");

if (kpreg_is_versionnumber(5.35)) // valid
 echo("Valid!");
else
 echo("Invalid!");

if (kpreg_is_versionnumber("5.3.5")) // valid
 echo("Valid!");
else
 echo("Invalid!");

if (kpreg_is_versionnumber("5.3.5456.456.4")) // valid
 echo("Valid!");
else
 echo("Invalid!");

if (kpreg_is_versionnumber("5.3.5456.456.4.")) // invalid
 echo("Valid!");
else
 echo("Invalid!");

?>
Return current item: K-Pregs